nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
nx::sdk::analytics::IObjectMetadata Class Referenceabstract

`#include <i_object_metadata.h>`

Inheritance diagram for nx::sdk::analytics::IObjectMetadata:

## Public Member Functions
Uuid | trackId () const
virtual const char * | subtype () const =0
Rect | boundingBox () const
Public Member Functions inherited from nx::sdk::Interface< IObjectMetadata, IMetadata0 >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const

## Static Public Member Functions
static auto | interfaceId ()

## Protected Member Functions
virtual void | getTrackId (Uuid *outValue) const =0
virtual void | getBoundingBox (Rect *outValue) const =0
Protected Member Functions inherited from nx::sdk::Interface< IObjectMetadata, IMetadata0 >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)

## Detailed Description

A single object detected on the scene on a particular video frame, defined as a bounding box.

## Member Function Documentation

## ◆ boundingBox()

Rect nx::sdk::analytics::IObjectMetadata::boundingBox | ( |  | ) | const
| inline

Returns
  Bounding box of an object detected in a video frame.

## ◆ getBoundingBox()

virtual void nx::sdk::analytics::IObjectMetadata::getBoundingBox | ( | Rect * | outValue | ) | const
| protectedpure virtual

Called by boundingBox()

## ◆ getTrackId()

virtual void nx::sdk::analytics::IObjectMetadata::getTrackId | ( | Uuid * | outValue | ) | const
| protectedpure virtual

Called by trackId()

## ◆ subtype()

virtual const char* nx::sdk::analytics::IObjectMetadata::subtype | ( |  | ) | const
| pure virtual

Returns
  Subclass of the object (e.g. vehicle type: truck, car, etc.).

## ◆ trackId()

Uuid nx::sdk::analytics::IObjectMetadata::trackId | ( |  | ) | const
| inline

Returns
  Id of the object track. Object track is a sequence of object detections from its first appearance on the scene till its disappearance. The same object can have multiple tracks (e.g. the same person entered and exited a room several times).

The documentation for this class was generated from the following file:

- src/nx/sdk/analytics/i_object_metadata.h